Skip to content

List memory crystals

GET
/api/v1/memory/crystals
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/memory/crystals?limit=20&offset=0' \
--header 'X-API-Key: <X-API-Key>'

Return memory crystals for the authenticated tenant. Optionally filter by agent_role and memory_type.

agent_role
Any of:
string

Filter by source agent role

memory_type
Any of:
string

Filter by crystal type

limit
Limit

Maximum items to return

integer
default: 20 >= 1 <= 100

Maximum items to return

offset
Offset

Pagination offset

integer
0

Pagination offset

Successful Response

Media typeapplication/json
CrystalsResponse

Response envelope for the list-crystals endpoint.

Attributes: data: Container with crystals list and total count.

object
data
required
Data
object
key
additional properties
any
Examplegenerated
{
"data": {}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}